Next: ATOMIC_REF, Previous: ATANH, Up: Intrinsic Procedures [Contents][Index]

### 8.24 `ATOMIC_DEFINE` — Setting a variable atomically

Description:

  `ATOMIC_DEFINE(ATOM, VALUE)` defines the variable ATOM with the value VALUE atomically.

Standard:

  Fortran 2008 and later

Class:

  Atomic subroutine

Syntax:

  `CALL ATOMIC_DEFINE(ATOM, VALUE)`

Arguments:

  ATOM | Scalar coarray or coindexed variable of either integer type with `ATOMIC_INT_KIND` kind or logical type with `ATOMIC_LOGICAL_KIND` kind.
  VALURE | Scalar and of the same type as ATOM. If the kind is different, the value is converted to the kind of ATOM.

Example:

      program atomic
        use iso_fortran_env
        integer(atomic_int_kind) :: atom[*]
        call atomic_define (atom[1], this_image())
      end program atomic

See also:

  ATOMIC_REF, ISO_FORTRAN_ENV